/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Evaluation</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.Evaluation#getStrategyEvaluation <em>Strategy Evaluation</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getEvaluation()
 * @model
 * @generated
 */
public interface Evaluation extends EObject
{
  /**
   * Returns the value of the '<em><b>Strategy Evaluation</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Strategy Evaluation</em>' containment reference.
   * @see #setStrategyEvaluation(StrategyEvaluation)
   * @see fr.istic.mML.MMLPackage#getEvaluation_StrategyEvaluation()
   * @model containment="true"
   * @generated
   */
  StrategyEvaluation getStrategyEvaluation();

  /**
   * Sets the value of the '{@link fr.istic.mML.Evaluation#getStrategyEvaluation <em>Strategy Evaluation</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Strategy Evaluation</em>' containment reference.
   * @see #getStrategyEvaluation()
   * @generated
   */
  void setStrategyEvaluation(StrategyEvaluation value);

} // Evaluation
